- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ipadm_ifprop – Manage IP interface properties on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Modify IP interface properties on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
interface - / required |  | Specifies the IP interface we want to manage. aliases: nic
property - / required |  | Specifies the name of the property we want to manage. aliases: name
protocol - / required |  | Specifies the protocol for which we want to manage properties.
state - | Choices: present ← absent reset | Set or reset the property value.
temporary boolean | Choices: no ← yes | Specifies that the property value is temporary. Temporary property values do not persist across reboots.
value - |  | Specifies the value we want to set for the property.

## Examples

    - name: Allow forwarding of IPv4 packets on network interface e1000g0
      ipadm_ifprop: protocol=ipv4 property=forwarding value=on interface=e1000g0

    - name: Temporarily reset IPv4 forwarding property on network interface e1000g0
      ipadm_ifprop: protocol=ipv4 interface=e1000g0  temporary=true property=forwarding state=reset

    - name: Configure IPv6 metric on network interface e1000g0
      ipadm_ifprop: protocol=ipv6 nic=e1000g0 name=metric value=100

    - name: Set IPv6 MTU on network interface bge0
      ipadm_ifprop: interface=bge0 name=mtu value=1280 protocol=ipv6

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
interface string | always | interface name we want to set property on Sample: e1000g0
property string | always | property's name Sample: mtu
protocol string | always | property's protocol Sample: ipv4
state string | always | state of the target Sample: present
value string | when value is provided | property's value Sample: 1280

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.